C
C Common describing MWPC configuration
C Maximal number of MWPCs is 5
C ZXPLANE(I_CHA) -  z-coordinate of the x-plane of the chamber I_CHA
C ZYPLANE(I_CHA) -  z-coordinate of the y-plane of the chamber I_CHA
C STEP(I_CHA) - distance between the wires of the chamber I_CHA
C HSIZE(I_CHA) - half size of the chamber I_CHA
C XINV(I_CHA) - =1,  if wire numberig goes from low to high coordinate
C               =-1, if otherwise  (x-planes)
C YINV(I_CHA) - =1,  if wire numberig goes from low to high coordinate
C               =-1, if otherwise  (y-planes)
C NRFF - number of the first reference chamber
C NRFL - number of the last (second) reference chamber
C
      INTEGER NRFF, NRFL
      REAL ZXPLANE, ZYPLANE, STEP, HSIZE, XINV, YINV
      COMMON/CONFIG/ZXPLANE(5),ZYPLANE(5),STEP(5),HSIZE(5),
     +XINV(5),YINV(5),NRFF,NRFL
