c
c system histogram id common
c (must be preceeded by hec_geo.inc)
c
c adc pedestal values distribution
c
      integer id_ped
      parameter (id_ped = 1)
c
c adc pedestal values vs adc channel number
c
      integer id_ped_ic
      parameter (id_ped_ic = 2)
c
c adc pedestal rms values distribution
c
      integer id_rms 
      parameter (id_rms = 3)
c
c adc pedestal rms values vs adc channel number
c
      integer id_rms_ic 
      parameter (id_rms_ic = 4)
c
c adc(max) versus channel number 
c
      integer id_max_ic
      parameter (id_max_ic = 5)
c
c adc(max) map of front face 
c
      integer id_map
      parameter (id_map = 6)
cc
c adc(max)-ped distribution for each tower depth
c id = id_adc_z + i_z
c
      integer id_adc_z
      parameter (id_adc_z = 10)
c
c tdc distribution
c
      integer id_tdc
      parameter (id_tdc = 20)
c
c flash adc histograms
c
      integer id_fadc
      parameter (id_fadc = 100)
c
c adc(max)-ped distribution for each chanel
c id = id_adc_ic + ic
c
      integer id_adc_ic
      parameter (id_adc_ic = 1000)
c
c time(max) distribution for each channel for 1997 
c
      integer id_tim_ic
      parameter (id_tim_ic = 2000)
c
c time(max) distribution with TDC correction (ns)
c
      integer id_tim_icns
      parameter (id_tim_icns = 2500)
c
c time profile for each channel in 1997
c
      integer id_tprof_ic
      parameter (id_tprof_ic = 10000)
c
c tdc corrected time profile
c
      integer id_timns_ic
      parameter (id_timns_ic = 11000)
c
c energy in nA for each channel
c
      integer id_cal_ic
      parameter (id_cal_ic = 12000)
c
c energy in cells above sigma cut
c
      integer id_sigma
      parameter (id_sigma = 13000)
c
c set id of muon towers
c
      integer id_muon_tower
      parameter(id_muon_tower = 14000)		
c
c set id of clusters of cells (energy reconstruction)
c
      integer id_clus
      parameter(id_clus = 15000)
c
c keep track of histogram ids actually used
c
      integer id_used_max
      parameter (id_used_max = 1000)
      integer n_id_used
      integer id_used(id_used_max)
c
c set number of bins used in tdc time profiles (# of ns)
c
      integer ntdc_bin
      parameter (ntdc_bin = 2000)
c
c moments of the adc channels
c
      real adcmom(i_adc_dim, i_tim_dim, 3)
      real tdcmom(i_adc_dim, ntdc_bin, 3)
c
c moments of the maximum in each channel
c
      real maxmom(1:i_adc_dim, 3)
c
c array that stores signal (max-ped) for each ic
c and one that stores the error on this mean
c
      real average_max(i_adc_dim)
      real errmax(i_adc_dim)
c
c sum of the signal in each long. layer for each event
c
      real sig_sum(1:i_z_max)
c
c sum of signal from cells above X sigma
c
      real sum_sigma(3)
c
c depth weights for clusters
c
      real depthw(1:i_z_max)	
c
c moments of clusters 
c
      real clus_sum_mom0(nclust_dim),clus_sum_mom1(nclust_dim)
c
      common /sssonlinehid/ n_id_used, id_used, adcmom, maxmom, 
     + average_max, errmax, tdcmom, sig_sum, sum_sigma, depthw,
     + clus_sum_mom0, clus_sum_mom1                  
c













